# Package:  EMMIX_FDR
# Version:  0.0-3
# Authors:  G.J. McLachlan, R.W. Bean, L. Ben-Tovim Jones
# Maintainer: Kui Wang <kwang@maths.uq.edu.au>
# Last modified on July 2007


# Main functions

#--------------------------------------------------------------------------
# Syntax:
# >GetFdr(
# >dat,             ;data matrix
#                       ;required             
# >m1   ,               ;number of tisssues in class I
#                       ;required
# >m2   ,               ;number of tisssues in class II
#                       ;required     
# >model='theo' ,       ;theo(default)---theoretical, or empirical
#                       ;optional
# >method='pool' ,      ;'perm', or 'pool'(default)
#                       ;optional
# >debug=0              ;1, print noise, 0 quite
#                       ;optional
# >pi0seq=NULL          ;pi0 sequence
#                       ;optional
# )
# the function of GetEmmixFdr() is to get the fdrs, mu_null,V_null, mu_alternative
# and var_alternative, pi_null, tao_null. and print out fdr
#
#-------------------------------------------------------------------------

# Example:

# step 1: load the "emmixfdr.dll"
 
source('emmixfdr.R')

# step 2: read the data
#  for example: 'hendenlc' Hedenfalk data, 'singhl.txt' is Singh data.

dat<-read.table("hedenlc",header=FALSE)

# use DoRows(dat) and DoCols(dat)to normalize the rows and columns if required.
#dat<-Docols(dat)
#dat<-DoRows(dat)

#check the data before running

dim(dat)
dat[1:10,]

# step 3: call the main fdr functions


obj1<-GetFdr(dat,7,8,model='theo',debug=1,pi0seq=seq(from=0.5,to=0.95,by=0.01))

obj2<-GetFdr(dat,7,8,model='empi',debug=1,pi0seq=seq(from=0.5,to=0.95,by=0.01))









